-- MySQL dump 10.13  Distrib 5.1.72, for apple-darwin10.3.0 (i386)
--
-- Host: localhost    Database: loadbalancing
-- ------------------------------------------------------
-- Server version	5.1.72

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `access_list`
--

DROP TABLE IF EXISTS `access_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `access_list` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(39) DEFAULT NULL,
  `type` varchar(32) DEFAULT NULL,
  `loadbalancer_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `FKC27372991210C19B` (`loadbalancer_id`),
  KEY `access_list_type_fk` (`type`),
  CONSTRAINT `FKC27372991210C19B` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`),
  CONSTRAINT `access_list_ibfk_1` FOREIGN KEY (`type`) REFERENCES `access_list_type` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `access_list`
--

LOCK TABLES `access_list` WRITE;
/*!40000 ALTER TABLE `access_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `access_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `access_list_event`
--

DROP TABLE IF EXISTS `access_list_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `access_list_event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_id` int(11) NOT NULL,
  `access_list_id` int(11) NOT NULL,
  `event_title` varchar(64) DEFAULT NULL,
  `event_description` varchar(1024) DEFAULT NULL,
  `relative_uri` varchar(256) DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `severity` varchar(32) NOT NULL,
  `type` varchar(32) NOT NULL,
  `category` varchar(32) NOT NULL,
  `author` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `svale_fk` (`severity`),
  KEY `tyale_fk` (`type`),
  KEY `ctale_fk` (`category`),
  CONSTRAINT `ale_sc1` FOREIGN KEY (`category`) REFERENCES `category_type` (`name`),
  CONSTRAINT `ale_st1` FOREIGN KEY (`type`) REFERENCES `event_type` (`name`),
  CONSTRAINT `ale_sv1` FOREIGN KEY (`severity`) REFERENCES `event_severity` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `access_list_event`
--

LOCK TABLES `access_list_event` WRITE;
/*!40000 ALTER TABLE `access_list_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `access_list_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `access_list_type`
--

DROP TABLE IF EXISTS `access_list_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `access_list_type` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `access_list_type`
--

LOCK TABLES `access_list_type` WRITE;
/*!40000 ALTER TABLE `access_list_type` DISABLE KEYS */;
INSERT INTO `access_list_type` VALUES ('ALLOW','Indicates that the access list item is white-listed'),('DENY','Indicates that access list item is black-listed');
/*!40000 ALTER TABLE `access_list_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `account`
--

DROP TABLE IF EXISTS `account`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `account` (
  `id` int(11) NOT NULL,
  `sha1sum_ipv6` varchar(9) NOT NULL,
  `cluster_type` varchar(32) NOT NULL DEFAULT 'STANDARD',
  PRIMARY KEY (`id`),
  UNIQUE KEY `sha1sum_ipv6` (`sha1sum_ipv6`),
  KEY `fk_account_cl_type` (`cluster_type`),
  CONSTRAINT `fk_account_cl_type` FOREIGN KEY (`cluster_type`) REFERENCES `cl_type` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `account`
--

LOCK TABLES `account` WRITE;
/*!40000 ALTER TABLE `account` DISABLE KEYS */;
INSERT INTO `account` VALUES (406271,'711bbe4c','STANDARD');
/*!40000 ALTER TABLE `account` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `account_group`
--

DROP TABLE IF EXISTS `account_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `account_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `grp_id_fk` (`group_id`),
  CONSTRAINT `grp_id_fk` FOREIGN KEY (`group_id`) REFERENCES `group_rate_limit` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `account_group`
--

LOCK TABLES `account_group` WRITE;
/*!40000 ALTER TABLE `account_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `account_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `account_limits`
--

DROP TABLE IF EXISTS `account_limits`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `account_limits` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `limit_amount` int(11) NOT NULL,
  `limit_type` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `account_id_limit_type` (`account_id`,`limit_type`),
  KEY `account_limits_account_id` (`account_id`),
  KEY `limit_type` (`limit_type`),
  CONSTRAINT `account_limits_ibfk_1` FOREIGN KEY (`limit_type`) REFERENCES `limit_type` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `account_limits`
--

LOCK TABLES `account_limits` WRITE;
/*!40000 ALTER TABLE `account_limits` DISABLE KEYS */;
/*!40000 ALTER TABLE `account_limits` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `account_loadbalancer_limit`
--

DROP TABLE IF EXISTS `account_loadbalancer_limit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `account_loadbalancer_limit` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_limit_group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `account_loadbalancer_limit`
--

LOCK TABLES `account_loadbalancer_limit` WRITE;
/*!40000 ALTER TABLE `account_loadbalancer_limit` DISABLE KEYS */;
INSERT INTO `account_loadbalancer_limit` VALUES (1,123123,7);
/*!40000 ALTER TABLE `account_loadbalancer_limit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `account_usage`
--

DROP TABLE IF EXISTS `account_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `account_usage` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `num_loadbalancers` int(11) NOT NULL DEFAULT '0',
  `num_public_vips` int(11) NOT NULL DEFAULT '0',
  `num_servicenet_vips` int(11) NOT NULL DEFAULT '0',
  `start_time` timestamp NULL DEFAULT NULL,
  `needs_pushed` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `account_usage_account_id` (`account_id`),
  KEY `account_usage_start_time` (`start_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `account_usage`
--

LOCK TABLES `account_usage` WRITE;
/*!40000 ALTER TABLE `account_usage` DISABLE KEYS */;
/*!40000 ALTER TABLE `account_usage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `alert`
--

DROP TABLE IF EXISTS `alert`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alert` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) DEFAULT NULL,
  `loadbalancer_id` int(11) DEFAULT NULL,
  `alert_type` varchar(32) NOT NULL,
  `message` text NOT NULL,
  `message_name` varchar(256) NOT NULL,
  `status` varchar(32) NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `alert_status_fk` (`status`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alert`
--

LOCK TABLES `alert` WRITE;
/*!40000 ALTER TABLE `alert` DISABLE KEYS */;
/*!40000 ALTER TABLE `alert` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `alert_status`
--

DROP TABLE IF EXISTS `alert_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alert_status` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alert_status`
--

LOCK TABLES `alert_status` WRITE;
/*!40000 ALTER TABLE `alert_status` DISABLE KEYS */;
/*!40000 ALTER TABLE `alert_status` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `allowed_domain`
--

DROP TABLE IF EXISTS `allowed_domain`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `allowed_domain` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `allowed_domain`
--

LOCK TABLES `allowed_domain` WRITE;
/*!40000 ALTER TABLE `allowed_domain` DISABLE KEYS */;
INSERT INTO `allowed_domain` VALUES (1,'rackspaceclouddb.com');
/*!40000 ALTER TABLE `allowed_domain` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blacklist_item`
--

DROP TABLE IF EXISTS `blacklist_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blacklist_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cidr_block` varchar(64) NOT NULL,
  `ip_version` varchar(32) NOT NULL,
  `type` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `blacklist_type_fk` (`type`),
  CONSTRAINT `blacklist_ibfk_1` FOREIGN KEY (`type`) REFERENCES `blacklist_type` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blacklist_item`
--

LOCK TABLES `blacklist_item` WRITE;
/*!40000 ALTER TABLE `blacklist_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `blacklist_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blacklist_type`
--

DROP TABLE IF EXISTS `blacklist_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blacklist_type` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blacklist_type`
--

LOCK TABLES `blacklist_type` WRITE;
/*!40000 ALTER TABLE `blacklist_type` DISABLE KEYS */;
INSERT INTO `blacklist_type` VALUES ('ACCESSLIST','Blacklisted lists'),('NODE','Blacklisted Nodes');
/*!40000 ALTER TABLE `blacklist_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `category_type`
--

DROP TABLE IF EXISTS `category_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `category_type` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `category_type`
--

LOCK TABLES `category_type` WRITE;
/*!40000 ALTER TABLE `category_type` DISABLE KEYS */;
INSERT INTO `category_type` VALUES ('CREATE','Resource created'),('DELETE','Resource deleted'),('UPDATE','Resource updated');
/*!40000 ALTER TABLE `category_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `certificate_mapping`
--

DROP TABLE IF EXISTS `certificate_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `certificate_mapping` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `loadbalancer_id` int(11) NOT NULL,
  `host_name` varchar(128) NOT NULL,
  `pem_key` mediumtext NOT NULL,
  `pem_cert` mediumtext NOT NULL,
  `intermediate_certificate` mediumtext,
  PRIMARY KEY (`id`),
  UNIQUE KEY `host_name_lb_id` (`host_name`,`loadbalancer_id`),
  KEY `loadbalancer_id` (`loadbalancer_id`),
  CONSTRAINT `certificate_mapping_ibfk_1` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `certificate_mapping`
--

LOCK TABLES `certificate_mapping` WRITE;
/*!40000 ALTER TABLE `certificate_mapping` DISABLE KEYS */;
/*!40000 ALTER TABLE `certificate_mapping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_type`
--

DROP TABLE IF EXISTS `cl_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cl_type` (
  `name` varchar(32) NOT NULL DEFAULT '',
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cl_type`
--

LOCK TABLES `cl_type` WRITE;
/*!40000 ALTER TABLE `cl_type` DISABLE KEYS */;
INSERT INTO `cl_type` VALUES ('INTERNAL','Internal Rackspace account'),('SMOKE','Deployment testing'),('STANDARD','Normal User account');
/*!40000 ALTER TABLE `cl_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cloud_files_lzo`
--

DROP TABLE IF EXISTS `cloud_files_lzo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cloud_files_lzo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hour_key` int(11) NOT NULL,
  `frag` int(1) NOT NULL,
  `finished` tinyint(1) NOT NULL,
  `md5` varchar(48) NOT NULL,
  `start_time` datetime NOT NULL,
  `end_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `hour_key_frag_idx` (`hour_key`,`frag`),
  KEY `hour_key_idx` (`hour_key`),
  KEY `finished_idx` (`finished`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cloud_files_lzo`
--

LOCK TABLES `cloud_files_lzo` WRITE;
/*!40000 ALTER TABLE `cloud_files_lzo` DISABLE KEYS */;
/*!40000 ALTER TABLE `cloud_files_lzo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cluster`
--

DROP TABLE IF EXISTS `cluster`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cluster` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `description` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `username` varchar(32) NOT NULL,
  `password` varchar(32) NOT NULL,
  `data_center` varchar(32) NOT NULL,
  `cluster_ipv6_cidr` varchar(44) DEFAULT NULL,
  `cluster_status` varchar(32) NOT NULL,
  `cluster_type` varchar(32) NOT NULL DEFAULT 'STANDARD',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `data_center` (`data_center`),
  KEY `cluster_status_fk` (`cluster_status`),
  KEY `fk_cluster_cl_type` (`cluster_type`),
  CONSTRAINT `cluster_ibfk_1` FOREIGN KEY (`data_center`) REFERENCES `lb_data_center` (`name`),
  CONSTRAINT `cluster_ibfk_2` FOREIGN KEY (`cluster_status`) REFERENCES `cluster_status` (`name`),
  CONSTRAINT `fk_cluster_cl_type` FOREIGN KEY (`cluster_type`) REFERENCES `cl_type` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cluster`
--

LOCK TABLES `cluster` WRITE;
/*!40000 ALTER TABLE `cluster` DISABLE KEYS */;
INSERT INTO `cluster` VALUES (1,'Developer Environment Cluster','dev','admin','2cc275e07419132b5b1f1c68db1d06fa','ORD','fd00:0:0:1::/64','ACTIVE','STANDARD');
/*!40000 ALTER TABLE `cluster` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cluster_status`
--

DROP TABLE IF EXISTS `cluster_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cluster_status` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cluster_status`
--

LOCK TABLES `cluster_status` WRITE;
/*!40000 ALTER TABLE `cluster_status` DISABLE KEYS */;
INSERT INTO `cluster_status` VALUES ('ACTIVE','Indicates that the cluster is active'),('INACTIVE','Indicates that the cluster is inactive');
/*!40000 ALTER TABLE `cluster_status` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `connection_limit`
--

DROP TABLE IF EXISTS `connection_limit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `connection_limit` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `max_connectionrate` int(11) NOT NULL,
  `max_connection` int(11) NOT NULL,
  `min_connections` int(11) NOT NULL,
  `rate_interval` int(11) NOT NULL,
  `loadbalancer_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `FK47D50F1A1210C19B` (`loadbalancer_id`),
  CONSTRAINT `FK47D50F1A1210C19B` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `connection_limit`
--

LOCK TABLES `connection_limit` WRITE;
/*!40000 ALTER TABLE `connection_limit` DISABLE KEYS */;
/*!40000 ALTER TABLE `connection_limit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `connection_limit_event`
--

DROP TABLE IF EXISTS `connection_limit_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `connection_limit_event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_id` int(11) NOT NULL,
  `connection_limit_id` int(11) NOT NULL,
  `event_title` varchar(64) DEFAULT NULL,
  `event_description` varchar(1024) DEFAULT NULL,
  `relative_uri` varchar(256) DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `severity` varchar(32) NOT NULL,
  `type` varchar(32) NOT NULL,
  `category` varchar(32) NOT NULL,
  `author` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `svcle_fk` (`severity`),
  KEY `tycle_fk` (`type`),
  KEY `ctcle_fk` (`category`),
  CONSTRAINT `cle_sc1` FOREIGN KEY (`category`) REFERENCES `category_type` (`name`),
  CONSTRAINT `cle_st1` FOREIGN KEY (`type`) REFERENCES `event_type` (`name`),
  CONSTRAINT `cle_sv1` FOREIGN KEY (`severity`) REFERENCES `event_severity` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `connection_limit_event`
--

LOCK TABLES `connection_limit_event` WRITE;
/*!40000 ALTER TABLE `connection_limit_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `connection_limit_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `defaults`
--

DROP TABLE IF EXISTS `defaults`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `defaults` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL,
  `value` mediumtext,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `defaults`
--

LOCK TABLES `defaults` WRITE;
/*!40000 ALTER TABLE `defaults` DISABLE KEYS */;
INSERT INTO `defaults` VALUES (1,'global_error.html','<html><head><meta http-equiv=\"Content-Type\" content=\"text/html;charset=utf-8\"><title>Service Unavailable</title><style type=\"text/css\">body, p, h1 {font-family: Verdana, Arial, Helvetica, sans-serif;}h2 {font-family: Arial, Helvetica, sans-serif;color: #b10b29;}</style></head><body><h2>Service Unavailable</h2><p>The service is temporarily unavailable. Please try again later.</p></body></html>');
/*!40000 ALTER TABLE `defaults` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deprecated_ip_version`
--

DROP TABLE IF EXISTS `deprecated_ip_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `deprecated_ip_version` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deprecated_ip_version`
--

LOCK TABLES `deprecated_ip_version` WRITE;
/*!40000 ALTER TABLE `deprecated_ip_version` DISABLE KEYS */;
INSERT INTO `deprecated_ip_version` VALUES ('IPV4','A IPV4 ip address'),('IPV6','A IPV6 ip address');
/*!40000 ALTER TABLE `deprecated_ip_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `event_severity`
--

DROP TABLE IF EXISTS `event_severity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `event_severity` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `event_severity`
--

LOCK TABLES `event_severity` WRITE;
/*!40000 ALTER TABLE `event_severity` DISABLE KEYS */;
INSERT INTO `event_severity` VALUES ('CRITICAL','critical'),('INFO','information'),('WARNING','warning');
/*!40000 ALTER TABLE `event_severity` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `event_type`
--

DROP TABLE IF EXISTS `event_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `event_type` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `event_type`
--

LOCK TABLES `event_type` WRITE;
/*!40000 ALTER TABLE `event_type` DISABLE KEYS */;
INSERT INTO `event_type` VALUES ('AH_USAGE_EXECUTION','Atom Hopper Usage Processor'),('BUILD_LOADBALANCER','Load balancer in build status'),('CREATE_ACCESS_LIST','Created Access List'),('CREATE_CONNECTION_THROTTLE','Created Connection Throttle'),('CREATE_HEALTH_MONITOR','Created Health Monitor'),('CREATE_LOADBALANCER','A load balancer was created'),('CREATE_NODE','Node Created'),('CREATE_SESSION_PERSISTENCE','Created Session Persisitence'),('CREATE_VIRTUAL_IP','A virtual ip was created'),('DELETE_ACCESS_LIST','Deleted Access List'),('DELETE_CERTIFICATE_MAPPING','Delete Certificate Mapping'),('DELETE_CONNECTION_THROTTLE','Deleted Connection Throttle'),('DELETE_HEALTH_MONITOR','Deleted Health Monitor'),('DELETE_LOADBALANCER','A load balancer was deleted'),('DELETE_NETWORK_ITEM','Deleted Network Item'),('DELETE_NODE','Node deleted'),('DELETE_SESSION_PERSISTENCE','Deleted Session Persistence'),('DELETE_SSL_TERMINATION','Delete SSL termination'),('DELETE_VIRTUAL_IP','A virtual ip was deleted'),('PENDING_DELETE_LOADBALANCER','Load balancer in pending delete status'),('PENDING_UPDATE_LOADBALANCER','Load balancer in pending update status'),('SSL_MIXED_ON','Both the ssl virtual server and non-ssl virtual server are enabled in Zeus'),('SSL_OFF','SSL was turned off'),('SSL_ON','SSL was turned on'),('SSL_ONLY_ON','Only the ssl virtual server is enabled in Zeus'),('SUSPEND_LOADBALANCER','A load balancer was suspended'),('UNSUSPEND_LOADBALANCER','A load balancer was unsuspended'),('UPDATE_ACCESS_LIST','Update Access List'),('UPDATE_CERTIFICATE_MAPPING','Update Certificate Mapping'),('UPDATE_CONNECTION_LOGGING','Updated Connection Logging'),('UPDATE_CONNECTION_THROTTLE','Update Connection Throttle'),('UPDATE_CONTENT_CACHING','Update Content Caching'),('UPDATE_HEALTH_MONITOR','Updated Health Monitor'),('UPDATE_LOADBALANCER','Loadbalancer updated'),('UPDATE_NODE','Node updated'),('UPDATE_SESSION_PERSISTENCE','Updated Session Persisitence'),('UPDATE_SSL_TERMINATION','Update SSL termination');
/*!40000 ALTER TABLE `event_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `group_rate_limit`
--

DROP TABLE IF EXISTS `group_rate_limit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `group_rate_limit` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_name` varchar(32) NOT NULL,
  `group_desc` varchar(128) NOT NULL,
  `is_default` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`group_name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `group_rate_limit`
--

LOCK TABLES `group_rate_limit` WRITE;
/*!40000 ALTER TABLE `group_rate_limit` DISABLE KEYS */;
INSERT INTO `group_rate_limit` VALUES (1,'customer_group','customer_limit_group',1);
/*!40000 ALTER TABLE `group_rate_limit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hdfs_lzo`
--

DROP TABLE IF EXISTS `hdfs_lzo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hdfs_lzo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hour_key` int(11) NOT NULL,
  `finished` tinyint(1) NOT NULL,
  `reupload_needed` tinyint(1) NOT NULL,
  `file_size` bigint(20) NOT NULL,
  `md5_needed` tinyint(1) NOT NULL,
  `cf_needed` tinyint(1) NOT NULL,
  `hdfs_needed` tinyint(1) NOT NULL,
  `start_time` datetime NOT NULL,
  `end_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `hour_key_idx` (`hour_key`),
  KEY `finished_idx` (`finished`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hdfs_lzo`
--

LOCK TABLES `hdfs_lzo` WRITE;
/*!40000 ALTER TABLE `hdfs_lzo` DISABLE KEYS */;
/*!40000 ALTER TABLE `hdfs_lzo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `health_monitor`
--

DROP TABLE IF EXISTS `health_monitor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `health_monitor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `attempts_before_deactivation` int(11) DEFAULT NULL,
  `body_regex` varchar(128) DEFAULT NULL,
  `delay` int(11) DEFAULT NULL,
  `path` varchar(128) DEFAULT NULL,
  `status_regex` varchar(128) DEFAULT NULL,
  `timeout` int(11) DEFAULT NULL,
  `type` varchar(32) NOT NULL,
  `loadbalancer_id` int(11) DEFAULT NULL,
  `host_header` varchar(256) DEFAULT ' ',
  PRIMARY KEY (`id`),
  UNIQUE KEY `loadbalancer_id` (`loadbalancer_id`),
  KEY `FK59EB4A771210C19B` (`loadbalancer_id`),
  KEY `health_monitor_type_fk` (`type`),
  CONSTRAINT `FK59EB4A771210C19B` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`),
  CONSTRAINT `health_monitor_ibfk_1` FOREIGN KEY (`type`) REFERENCES `health_monitor_type` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `health_monitor`
--

LOCK TABLES `health_monitor` WRITE;
/*!40000 ALTER TABLE `health_monitor` DISABLE KEYS */;
/*!40000 ALTER TABLE `health_monitor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `health_monitor_event`
--

DROP TABLE IF EXISTS `health_monitor_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `health_monitor_event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_id` int(11) NOT NULL,
  `health_monitor_id` int(11) NOT NULL,
  `event_title` varchar(64) DEFAULT NULL,
  `event_description` varchar(1024) DEFAULT NULL,
  `relative_uri` varchar(256) DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `severity` varchar(32) NOT NULL,
  `type` varchar(32) NOT NULL,
  `category` varchar(32) NOT NULL,
  `author` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `svhme_fk` (`severity`),
  KEY `tylhme_fk` (`type`),
  KEY `cthme_fk` (`category`),
  CONSTRAINT `hme_sc1` FOREIGN KEY (`category`) REFERENCES `category_type` (`name`),
  CONSTRAINT `hme_st1` FOREIGN KEY (`type`) REFERENCES `event_type` (`name`),
  CONSTRAINT `hme_sv1` FOREIGN KEY (`severity`) REFERENCES `event_severity` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `health_monitor_event`
--

LOCK TABLES `health_monitor_event` WRITE;
/*!40000 ALTER TABLE `health_monitor_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `health_monitor_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `health_monitor_type`
--

DROP TABLE IF EXISTS `health_monitor_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `health_monitor_type` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `health_monitor_type`
--

LOCK TABLES `health_monitor_type` WRITE;
/*!40000 ALTER TABLE `health_monitor_type` DISABLE KEYS */;
INSERT INTO `health_monitor_type` VALUES ('CONNECT','Indicates the healthmonitor is of type CONNECT'),('HTTP','Indicates the healthmonitor is of type HTTP'),('HTTPS','Indicates the healthmonitor is of type HTTPS');
/*!40000 ALTER TABLE `health_monitor_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `host`
--

DROP TABLE IF EXISTS `host`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `host` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `core_device_id` varchar(64) NOT NULL,
  `host_status` varchar(32) NOT NULL,
  `management_ip` varchar(255) NOT NULL,
  `max_concurrent_connections` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `endpoint` varchar(255) NOT NULL,
  `traffic_manager_name` varchar(255) NOT NULL,
  `cluster_id` int(11) NOT NULL,
  `zone` varchar(4) NOT NULL,
  `soap_endpoint_active` tinyint(1) NOT NULL,
  `ipv6_servicenet` varchar(39) DEFAULT NULL,
  `ipv4_servicenet` varchar(39) DEFAULT NULL,
  `ipv4_public` varchar(39) DEFAULT NULL,
  `ipv6_public` varchar(39) DEFAULT NULL,
  `rest_endpoint` varchar(255) NOT NULL,
  `rest_endpoint_active` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `target_host` (`traffic_manager_name`),
  KEY `FK30F5A8D56C3599` (`cluster_id`),
  KEY `host_status_fk` (`host_status`),
  KEY `host_ibfk_3` (`zone`),
  CONSTRAINT `FK30F5A8D56C3599` FOREIGN KEY (`cluster_id`) REFERENCES `cluster` (`id`),
  CONSTRAINT `host_ibfk_1` FOREIGN KEY (`host_status`) REFERENCES `host_status` (`name`),
  CONSTRAINT `host_ibfk_3` FOREIGN KEY (`zone`) REFERENCES `lb_zone` (`zone`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `host`
--

LOCK TABLES `host` WRITE;
/*!40000 ALTER TABLE `host` DISABLE KEYS */;
INSERT INTO `host` VALUES (1,'core_id1','ACTIVE','172.24.1.1',150000,'z1.rackspace-clb.com','https://z1.rackspace-clb.com','z1.rackexp.org',1,'A',1,NULL,NULL,NULL,NULL,'https://application_breaks_if_we_dont_have_this:9070/api/tm/7.0/config/active/',0),(2,'core_id2','ACTIVE_TARGET','172.24.1.2',150000,'z2.rackspace-clb.com','https://z2.rackspace-clb.com','z2.rackexp.org',1,'A',1,NULL,NULL,NULL,NULL,'https://application_breaks_if_we_dont_have_this:9070/api/tm/7.0/config/active/',0);
/*!40000 ALTER TABLE `host` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `host_backup`
--

DROP TABLE IF EXISTS `host_backup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `host_backup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `backup_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `host_id` int(11) NOT NULL,
  `lb_zone` varchar(4) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `name_host_id` (`name`,`host_id`),
  KEY `hb_host_id_fk` (`host_id`),
  CONSTRAINT `host_backup_ibfk_1` FOREIGN KEY (`host_id`) REFERENCES `host` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `host_backup`
--

LOCK TABLES `host_backup` WRITE;
/*!40000 ALTER TABLE `host_backup` DISABLE KEYS */;
/*!40000 ALTER TABLE `host_backup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `host_status`
--

DROP TABLE IF EXISTS `host_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `host_status` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `host_status`
--

LOCK TABLES `host_status` WRITE;
/*!40000 ALTER TABLE `host_status` DISABLE KEYS */;
INSERT INTO `host_status` VALUES ('ACTIVE','Indicates that the host is in the active status'),('ACTIVE_TARGET','Indicates that the host is an active target'),('BURN_IN','Indicates that the host is in the burn-in phase'),('FAILOVER','Indicates that the host is in failover status'),('OFFLINE','Indicates that the host is in the offline status'),('REST_API_ENDPOINT','Indicates that this Host shall handle all REST requests for this cluster.'),('SOAP_API_ENDPOINT','Indicates that this Host shall handle all SOAP requests for this cluster.');
/*!40000 ALTER TABLE `host_status` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_algorithm`
--

DROP TABLE IF EXISTS `lb_algorithm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_algorithm` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_algorithm`
--

LOCK TABLES `lb_algorithm` WRITE;
/*!40000 ALTER TABLE `lb_algorithm` DISABLE KEYS */;
INSERT INTO `lb_algorithm` VALUES ('LEAST_CONNECTIONS','The node with the fewest number of connections will receive requests',1),('RANDOM','Backend servers are selected at random',1),('ROUND_ROBIN','Connections are routed to each of the backend servers in turn',1),('WEIGHTED_LEAST_CONNECTIONS','Assign each request to a node based on the number of concurrent connections to the node and its weight',1),('WEIGHTED_ROUND_ROBIN','A round robin algorithm, but with different proportions of traffic being directed to the backend nodes.  Weights must be defined',1);
/*!40000 ALTER TABLE `lb_algorithm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_data_center`
--

DROP TABLE IF EXISTS `lb_data_center`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_data_center` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_data_center`
--

LOCK TABLES `lb_data_center` WRITE;
/*!40000 ALTER TABLE `lb_data_center` DISABLE KEYS */;
INSERT INTO `lb_data_center` VALUES ('DFW','Dallas'),('HKG','Hong Kong'),('IAD','Washington'),('LON','London'),('ORD','Chicago'),('SYD','Sydney');
/*!40000 ALTER TABLE `lb_data_center` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_meta_data`
--

DROP TABLE IF EXISTS `lb_meta_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_meta_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(32) DEFAULT NULL,
  `value` varchar(256) DEFAULT NULL,
  `loadbalancer_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `key` (`key`,`loadbalancer_id`),
  KEY `meta_lb_id_fk` (`loadbalancer_id`),
  CONSTRAINT `meta_ibfk_1` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_meta_data`
--

LOCK TABLES `lb_meta_data` WRITE;
/*!40000 ALTER TABLE `lb_meta_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `lb_meta_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_protocol`
--

DROP TABLE IF EXISTS `lb_protocol`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_protocol` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  `port` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_protocol`
--

LOCK TABLES `lb_protocol` WRITE;
/*!40000 ALTER TABLE `lb_protocol` DISABLE KEYS */;
INSERT INTO `lb_protocol` VALUES ('DNS_TCP','The DNS/TCP Protocol',53,1),('DNS_UDP','The DNS/UDP  Protocol',53,1),('FTP','The FTP protocol',21,1),('HTTP','The HTTP protocol',80,1),('HTTPS','The HTTPS protocol',443,1),('IMAPS','The IMAPS protocol',993,1),('IMAPv2','The IMAPv2 protocol',143,1),('IMAPv3','The IMAPv3 protocol',220,1),('IMAPv4','The IMAPv4 protocol',143,1),('LDAP','The LDAP protocol',389,1),('LDAPS','The LDAPS protocol',636,1),('MYSQL','TCP protocol running on port 3306',3306,1),('POP3','The POP3 protocol',110,1),('POP3S','The POP3S protocol',995,1),('SFTP','TCP protocol running on port 22',22,1),('SMTP','The SMTP protocol',25,1),('TCP','The TCP protocol',0,1),('TCP_CLIENT_FIRST','The TCP Client First Protocol',0,1),('TCP_STREAM','The Generic Streaming protocol',0,1),('UDP','The UDP Protocol',0,1),('UDP_STREAM','The UDP STREAMING Protocol',0,1);
/*!40000 ALTER TABLE `lb_protocol` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_rate_limit`
--

DROP TABLE IF EXISTS `lb_rate_limit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_rate_limit` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `expiration_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `max_requests_per_second` int(11) NOT NULL,
  `loadbalancer_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `rl_loadbalancer_id_fk` (`loadbalancer_id`),
  CONSTRAINT `rate_limit_ibfk_1` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_rate_limit`
--

LOCK TABLES `lb_rate_limit` WRITE;
/*!40000 ALTER TABLE `lb_rate_limit` DISABLE KEYS */;
/*!40000 ALTER TABLE `lb_rate_limit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_session_persistence`
--

DROP TABLE IF EXISTS `lb_session_persistence`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_session_persistence` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_session_persistence`
--

LOCK TABLES `lb_session_persistence` WRITE;
/*!40000 ALTER TABLE `lb_session_persistence` DISABLE KEYS */;
INSERT INTO `lb_session_persistence` VALUES ('HTTP_COOKIE','Indicates that the load balancer uses HTTP_COOKIE session persistence',1),('NONE','Indicates that the load balancer does not have session persistence enabled',1),('SOURCE_IP','Indicates that the load balancer uses SOURCE_IP session persistence',1),('SSL_ID','Indicates that the load balancer uses SSL_ID session persistence',1);
/*!40000 ALTER TABLE `lb_session_persistence` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_ssl`
--

DROP TABLE IF EXISTS `lb_ssl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_ssl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `loadbalancer_id` int(11) DEFAULT NULL,
  `pem_key` mediumtext,
  `pem_cert` mediumtext,
  `intermediate_certificate` mediumtext,
  `enabled` tinyint(1) DEFAULT '0',
  `secure_port` int(11) DEFAULT NULL,
  `secure_traffic_only` tinyint(1) DEFAULT '0',
  `tls10_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `tls11_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `cipher_list` text,
  `cipher_profile` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `uk_lb_id` (`loadbalancer_id`),
  KEY `loadbalancer_id` (`loadbalancer_id`),
  KEY `ssl_cipher_profile_ibfk_1` (`cipher_profile`),
  CONSTRAINT `lb_ssl_ibfk_1` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`),
  CONSTRAINT `ssl_cipher_profile_ibfk_1` FOREIGN KEY (`cipher_profile`) REFERENCES `ssl_cipher_profile` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_ssl`
--

LOCK TABLES `lb_ssl` WRITE;
/*!40000 ALTER TABLE `lb_ssl` DISABLE KEYS */;
/*!40000 ALTER TABLE `lb_ssl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_status`
--

DROP TABLE IF EXISTS `lb_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_status` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_status`
--

LOCK TABLES `lb_status` WRITE;
/*!40000 ALTER TABLE `lb_status` DISABLE KEYS */;
INSERT INTO `lb_status` VALUES ('ACTIVE','Indicates that the load balancer is active'),('BUILD','Indicates that the load balancer is building'),('DELETED','Indicates that the load balancer is deleted'),('ERROR','Indicates that the load balancer is in an error state.'),('PENDING_DELETE','Indicates that the load balancer is pending a deletion.'),('PENDING_UPDATE','Indicates that the load balancer is pending an update.'),('SUSPENDED','Indicates that the load balancer is suspended');
/*!40000 ALTER TABLE `lb_status` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_status_history`
--

DROP TABLE IF EXISTS `lb_status_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_status_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_id` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` varchar(32) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tyle2_fk` (`status`),
  CONSTRAINT `le2_st` FOREIGN KEY (`status`) REFERENCES `lb_status` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_status_history`
--

LOCK TABLES `lb_status_history` WRITE;
/*!40000 ALTER TABLE `lb_status_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `lb_status_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_suspension`
--

DROP TABLE IF EXISTS `lb_suspension`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_suspension` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reason` varchar(255) NOT NULL,
  `user` varchar(255) DEFAULT NULL,
  `loadbalancer_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `suspension_fk_1` (`loadbalancer_id`),
  CONSTRAINT `suspension_fk_1` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_suspension`
--

LOCK TABLES `lb_suspension` WRITE;
/*!40000 ALTER TABLE `lb_suspension` DISABLE KEYS */;
/*!40000 ALTER TABLE `lb_suspension` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_usage`
--

DROP TABLE IF EXISTS `lb_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_usage` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `loadbalancer_id` int(11) NOT NULL,
  `avg_concurrent_conns` double NOT NULL DEFAULT '0',
  `bandwidth_in` bigint(20) NOT NULL,
  `bandwidth_out` bigint(20) NOT NULL,
  `start_time` timestamp NULL DEFAULT NULL,
  `end_time` timestamp NULL DEFAULT NULL,
  `num_polls` int(11) NOT NULL DEFAULT '0',
  `num_vips` int(11) NOT NULL DEFAULT '1',
  `tags_bitmask` int(3) NOT NULL DEFAULT '0',
  `event_type` varchar(32) DEFAULT NULL,
  `account_id` int(11) NOT NULL,
  `avg_concurrent_conns_ssl` double NOT NULL DEFAULT '0',
  `bandwidth_in_ssl` bigint(20) NOT NULL DEFAULT '0',
  `bandwidth_out_ssl` bigint(20) NOT NULL DEFAULT '0',
  `entry_version` int(11) NOT NULL DEFAULT '0',
  `needs_pushed` tinyint(1) NOT NULL DEFAULT '1',
  `uuid` varchar(256) DEFAULT NULL,
  `corrected` tinyint(1) NOT NULL DEFAULT '0',
  `num_attempts` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FKBBE47D981210C19B` (`loadbalancer_id`),
  KEY `start_time` (`start_time`),
  KEY `end_time` (`end_time`),
  KEY `account_id` (`account_id`),
  KEY `usage_poller_idx` (`loadbalancer_id`,`start_time`),
  KEY `needs_pushed_idx` (`needs_pushed`),
  CONSTRAINT `FKBBE47D981210C19B` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_usage`
--

LOCK TABLES `lb_usage` WRITE;
/*!40000 ALTER TABLE `lb_usage` DISABLE KEYS */;
/*!40000 ALTER TABLE `lb_usage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_zone`
--

DROP TABLE IF EXISTS `lb_zone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_zone` (
  `zone` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`zone`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_zone`
--

LOCK TABLES `lb_zone` WRITE;
/*!40000 ALTER TABLE `lb_zone` DISABLE KEYS */;
INSERT INTO `lb_zone` VALUES ('A','Zone A'),('B','Zone B');
/*!40000 ALTER TABLE `lb_zone` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `limit_type`
--

DROP TABLE IF EXISTS `limit_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `limit_type` (
  `name` varchar(32) NOT NULL,
  `default_value` int(11) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `limit_type`
--

LOCK TABLES `limit_type` WRITE;
/*!40000 ALTER TABLE `limit_type` DISABLE KEYS */;
INSERT INTO `limit_type` VALUES ('ACCESS_LIST_LIMIT',100,'Max number of items for an access list'),('BATCH_DELETE_LIMIT',10,'Max number of items that can be deleted for batch delete operations'),('CERTIFICATE_MAPPING_LIMIT',20,'Max number of certificate mappings for a load balancer'),('IPV6_LIMIT',25,'Max number of IPv6 addresses for a load balancer'),('LOADBALANCER_LIMIT',25,'Max number of load balancers for an account'),('LOADBALANCER_META_LIMIT',25,'Max number of metadata items for a load balancer'),('NODE_LIMIT',25,'Max number of nodes for a load balancer'),('NODE_META_LIMIT',25,'Max number of metadata items for a node');
/*!40000 ALTER TABLE `limit_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `loadbalancer`
--

DROP TABLE IF EXISTS `loadbalancer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `loadbalancer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `name` varchar(128) DEFAULT NULL,
  `protocol` varchar(32) NOT NULL,
  `port` int(11) NOT NULL,
  `algorithm` varchar(32) NOT NULL,
  `connection_logging` tinyint(1) NOT NULL DEFAULT '0',
  `sessionPersistence` varchar(255) NOT NULL,
  `status` varchar(32) NOT NULL,
  `timeout` int(3) DEFAULT '30',
  `host_id` int(11) NOT NULL,
  `created` timestamp NULL DEFAULT NULL,
  `updated` timestamp NULL DEFAULT NULL,
  `is_sticky` tinyint(1) NOT NULL DEFAULT '0',
  `max_concurrent_connections` int(32) DEFAULT NULL,
  `content_caching` tinyint(1) NOT NULL DEFAULT '0',
  `half_closed` tinyint(1) NOT NULL DEFAULT '0',
  `https_redirect` tinyint(1) NOT NULL DEFAULT '0',
  `provisioned` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FKD5EFEBFC9789BEFB` (`host_id`),
  KEY `lb_algorithm_fk` (`algorithm`),
  KEY `lb_session_persistence_fk` (`sessionPersistence`),
  KEY `lb_protocol_fk` (`protocol`),
  KEY `lb_status_fk` (`status`),
  KEY `account_id` (`account_id`),
  CONSTRAINT `FKD5EFEBFC9789BEFB` FOREIGN KEY (`host_id`) REFERENCES `host` (`id`),
  CONSTRAINT `loadbalancer_ibfk_1` FOREIGN KEY (`algorithm`) REFERENCES `lb_algorithm` (`name`),
  CONSTRAINT `loadbalancer_ibfk_2` FOREIGN KEY (`sessionPersistence`) REFERENCES `lb_session_persistence` (`name`),
  CONSTRAINT `loadbalancer_ibfk_3` FOREIGN KEY (`protocol`) REFERENCES `lb_protocol` (`name`),
  CONSTRAINT `loadbalancer_ibfk_4` FOREIGN KEY (`status`) REFERENCES `lb_status` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `loadbalancer`
--

LOCK TABLES `loadbalancer` WRITE;
/*!40000 ALTER TABLE `loadbalancer` DISABLE KEYS */;
/*!40000 ALTER TABLE `loadbalancer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `loadbalancer_event`
--

DROP TABLE IF EXISTS `loadbalancer_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `loadbalancer_event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_id` int(11) NOT NULL,
  `event_title` varchar(64) DEFAULT NULL,
  `event_description` varchar(1024) DEFAULT NULL,
  `relative_uri` varchar(256) DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `severity` varchar(32) NOT NULL,
  `type` varchar(32) NOT NULL,
  `category` varchar(32) NOT NULL,
  `author` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `svle_fk` (`severity`),
  KEY `tyle_fk` (`type`),
  KEY `ctle_fk` (`category`),
  CONSTRAINT `le_sc1` FOREIGN KEY (`category`) REFERENCES `category_type` (`name`),
  CONSTRAINT `le_st1` FOREIGN KEY (`type`) REFERENCES `event_type` (`name`),
  CONSTRAINT `le_sv1` FOREIGN KEY (`severity`) REFERENCES `event_severity` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `loadbalancer_event`
--

LOCK TABLES `loadbalancer_event` WRITE;
/*!40000 ALTER TABLE `loadbalancer_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `loadbalancer_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `loadbalancer_service_event`
--

DROP TABLE IF EXISTS `loadbalancer_service_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `loadbalancer_service_event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_id` int(11) NOT NULL,
  `event_title` varchar(256) DEFAULT NULL,
  `event_description` varchar(1024) DEFAULT NULL,
  `relative_uri` varchar(256) DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `severity` varchar(32) NOT NULL,
  `type` varchar(32) NOT NULL,
  `category` varchar(32) NOT NULL,
  `author` varchar(32) DEFAULT NULL,
  `detailed_msg` mediumtext,
  PRIMARY KEY (`id`),
  KEY `svlse_fk` (`severity`),
  KEY `tylse_fk` (`type`),
  KEY `ctlse_fk` (`category`),
  KEY `created_idx` (`created`),
  KEY `account_id_idx` (`account_id`),
  KEY `loadbalancer_id_idx` (`loadbalancer_id`),
  CONSTRAINT `lse_sc1` FOREIGN KEY (`category`) REFERENCES `category_type` (`name`),
  CONSTRAINT `lse_st1` FOREIGN KEY (`type`) REFERENCES `event_type` (`name`),
  CONSTRAINT `lse_sv1` FOREIGN KEY (`severity`) REFERENCES `event_severity` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `loadbalancer_service_event`
--

LOCK TABLES `loadbalancer_service_event` WRITE;
/*!40000 ALTER TABLE `loadbalancer_service_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `loadbalancer_service_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `loadbalancer_virtualip`
--

DROP TABLE IF EXISTS `loadbalancer_virtualip`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `loadbalancer_virtualip` (
  `loadbalancer_id` int(11) NOT NULL,
  `virtualip_id` int(11) NOT NULL,
  `port` int(11) NOT NULL,
  PRIMARY KEY (`loadbalancer_id`,`virtualip_id`),
  KEY `FKEDA4B0EF1210C19B` (`loadbalancer_id`),
  KEY `FKEDA4B0EF6D38D2F9` (`virtualip_id`),
  CONSTRAINT `FKEDA4B0EF1210C19B` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`),
  CONSTRAINT `FKEDA4B0EF6D38D2F9` FOREIGN KEY (`virtualip_id`) REFERENCES `virtual_ip_ipv4` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `loadbalancer_virtualip`
--

LOCK TABLES `loadbalancer_virtualip` WRITE;
/*!40000 ALTER TABLE `loadbalancer_virtualip` DISABLE KEYS */;
/*!40000 ALTER TABLE `loadbalancer_virtualip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `loadbalancer_virtualipv6`
--

DROP TABLE IF EXISTS `loadbalancer_virtualipv6`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `loadbalancer_virtualipv6` (
  `loadbalancer_id` int(11) NOT NULL,
  `virtualip6_id` int(11) NOT NULL,
  `port` int(11) NOT NULL,
  PRIMARY KEY (`loadbalancer_id`,`virtualip6_id`),
  KEY `loadbalancer_virtualipv6_ibfk_2` (`virtualip6_id`),
  CONSTRAINT `loadbalancer_virtualipv6_ibfk_1` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`),
  CONSTRAINT `loadbalancer_virtualipv6_ibfk_2` FOREIGN KEY (`virtualip6_id`) REFERENCES `virtual_ip_ipv6` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `loadbalancer_virtualipv6`
--

LOCK TABLES `loadbalancer_virtualipv6` WRITE;
/*!40000 ALTER TABLE `loadbalancer_virtualipv6` DISABLE KEYS */;
/*!40000 ALTER TABLE `loadbalancer_virtualipv6` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta`
--

DROP TABLE IF EXISTS `meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `meta` (
  `meta_key` varchar(128) NOT NULL,
  `meta_value` varchar(128) DEFAULT NULL,
  UNIQUE KEY `meta_key` (`meta_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `meta`
--

LOCK TABLES `meta` WRITE;
/*!40000 ALTER TABLE `meta` DISABLE KEYS */;
INSERT INTO `meta` VALUES ('version','69');
/*!40000 ALTER TABLE `meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node`
--

DROP TABLE IF EXISTS `node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `node_condition` varchar(32) DEFAULT NULL,
  `ip_address` varchar(128) DEFAULT NULL,
  `port` int(11) DEFAULT NULL,
  `status` varchar(32) DEFAULT NULL,
  `weight` int(11) NOT NULL DEFAULT '1',
  `loadbalancer_id` int(11) DEFAULT NULL,
  `type` varchar(32) NOT NULL DEFAULT 'PRIMARY',
  PRIMARY KEY (`id`),
  KEY `FK33AE021210C19B` (`loadbalancer_id`),
  KEY `node_condition_fk` (`node_condition`),
  KEY `node_status_fk` (`status`),
  KEY `fk_type2node_typename` (`type`),
  CONSTRAINT `FK33AE021210C19B` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`),
  CONSTRAINT `fk_type2node_typename` FOREIGN KEY (`type`) REFERENCES `node_type` (`name`),
  CONSTRAINT `node_ibfk_1` FOREIGN KEY (`node_condition`) REFERENCES `node_condition` (`name`),
  CONSTRAINT `node_ibfk_2` FOREIGN KEY (`status`) REFERENCES `node_status` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node`
--

LOCK TABLES `node` WRITE;
/*!40000 ALTER TABLE `node` DISABLE KEYS */;
/*!40000 ALTER TABLE `node` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node_condition`
--

DROP TABLE IF EXISTS `node_condition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_condition` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_condition`
--

LOCK TABLES `node_condition` WRITE;
/*!40000 ALTER TABLE `node_condition` DISABLE KEYS */;
INSERT INTO `node_condition` VALUES ('DISABLED','Indicates that the node is disabled'),('DRAINING','Indicates that the node is draining'),('ENABLED','Indicates that the node is enabled');
/*!40000 ALTER TABLE `node_condition` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node_event`
--

DROP TABLE IF EXISTS `node_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_id` int(11) NOT NULL,
  `node_id` int(11) NOT NULL,
  `event_title` varchar(64) DEFAULT NULL,
  `event_description` varchar(1024) DEFAULT NULL,
  `relative_uri` varchar(256) DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `severity` varchar(32) NOT NULL,
  `type` varchar(32) NOT NULL,
  `category` varchar(32) NOT NULL,
  `author` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `svne_fk` (`severity`),
  KEY `tyne_fk` (`type`),
  KEY `ctne_fk` (`category`),
  CONSTRAINT `ne_sc1` FOREIGN KEY (`category`) REFERENCES `category_type` (`name`),
  CONSTRAINT `ne_st1` FOREIGN KEY (`type`) REFERENCES `event_type` (`name`),
  CONSTRAINT `ne_sv1` FOREIGN KEY (`severity`) REFERENCES `event_severity` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_event`
--

LOCK TABLES `node_event` WRITE;
/*!40000 ALTER TABLE `node_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `node_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node_meta_data`
--

DROP TABLE IF EXISTS `node_meta_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_meta_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(32) DEFAULT NULL,
  `value` varchar(256) DEFAULT NULL,
  `node_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `key` (`key`,`node_id`),
  KEY `meta_node_id_fk` (`node_id`),
  CONSTRAINT `meta_node_ibfk_1` FOREIGN KEY (`node_id`) REFERENCES `node` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_meta_data`
--

LOCK TABLES `node_meta_data` WRITE;
/*!40000 ALTER TABLE `node_meta_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `node_meta_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node_service_event`
--

DROP TABLE IF EXISTS `node_service_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_service_event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_id` int(11) NOT NULL,
  `node_id` int(11) NOT NULL,
  `event_title` varchar(64) DEFAULT NULL,
  `event_description` varchar(1024) DEFAULT NULL,
  `relative_uri` varchar(256) DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `severity` varchar(32) NOT NULL,
  `type` varchar(32) NOT NULL,
  `category` varchar(32) NOT NULL,
  `author` varchar(32) DEFAULT NULL,
  `detailed_message` mediumtext,
  `callback_host` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `svnse_fk` (`severity`),
  KEY `tynse_fk` (`type`),
  KEY `ctnse_fk` (`category`),
  KEY `created_idx` (`created`),
  KEY `account_id_idx` (`account_id`),
  KEY `loadbalancer_id_idx` (`loadbalancer_id`),
  CONSTRAINT `nse_sc1` FOREIGN KEY (`category`) REFERENCES `category_type` (`name`),
  CONSTRAINT `nse_st1` FOREIGN KEY (`type`) REFERENCES `event_type` (`name`),
  CONSTRAINT `nse_sv1` FOREIGN KEY (`severity`) REFERENCES `event_severity` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_service_event`
--

LOCK TABLES `node_service_event` WRITE;
/*!40000 ALTER TABLE `node_service_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `node_service_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node_status`
--

DROP TABLE IF EXISTS `node_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_status` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_status`
--

LOCK TABLES `node_status` WRITE;
/*!40000 ALTER TABLE `node_status` DISABLE KEYS */;
INSERT INTO `node_status` VALUES ('OFFLINE','Indicates that the node is offline'),('ONLINE','Indicates that the node is online');
/*!40000 ALTER TABLE `node_status` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node_type`
--

DROP TABLE IF EXISTS `node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_type` (
  `name` varchar(16) NOT NULL DEFAULT '',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_type`
--

LOCK TABLES `node_type` WRITE;
/*!40000 ALTER TABLE `node_type` DISABLE KEYS */;
INSERT INTO `node_type` VALUES ('PRIMARY'),('SECONDARY');
/*!40000 ALTER TABLE `node_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `session_persistence_event`
--

DROP TABLE IF EXISTS `session_persistence_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `session_persistence_event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_id` int(11) NOT NULL,
  `event_title` varchar(64) DEFAULT NULL,
  `event_description` varchar(1024) DEFAULT NULL,
  `relative_uri` varchar(256) DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `severity` varchar(32) NOT NULL,
  `type` varchar(32) NOT NULL,
  `category` varchar(32) NOT NULL,
  `author` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `svspe_fk` (`severity`),
  KEY `tyspe_fk` (`type`),
  KEY `ctspe_fk` (`category`),
  CONSTRAINT `spe_sc1` FOREIGN KEY (`category`) REFERENCES `category_type` (`name`),
  CONSTRAINT `spe_st1` FOREIGN KEY (`type`) REFERENCES `event_type` (`name`),
  CONSTRAINT `spe_sv1` FOREIGN KEY (`severity`) REFERENCES `event_severity` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `session_persistence_event`
--

LOCK TABLES `session_persistence_event` WRITE;
/*!40000 ALTER TABLE `session_persistence_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `session_persistence_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ssl_cipher_profile`
--

DROP TABLE IF EXISTS `ssl_cipher_profile`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ssl_cipher_profile` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `ciphers` text,
  `comments` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ssl_cipher_profile`
--

LOCK TABLES `ssl_cipher_profile` WRITE;
/*!40000 ALTER TABLE `ssl_cipher_profile` DISABLE KEYS */;
/*!40000 ALTER TABLE `ssl_cipher_profile` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `state`
--

DROP TABLE IF EXISTS `state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `state` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `state` varchar(50) DEFAULT NULL,
  `jobname` varchar(1000) DEFAULT NULL,
  `inputpath` varchar(200) DEFAULT NULL,
  `start_time` datetime DEFAULT NULL,
  `end_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `jobname` (`jobname`(255)),
  KEY `inputpath` (`inputpath`),
  KEY `start_time` (`start_time`),
  KEY `end_time` (`end_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `state`
--

LOCK TABLES `state` WRITE;
/*!40000 ALTER TABLE `state` DISABLE KEYS */;
/*!40000 ALTER TABLE `state` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ticket`
--

DROP TABLE IF EXISTS `ticket`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ticket` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ticket_id` varchar(32) NOT NULL,
  `comment` text NOT NULL,
  `loadbalancer_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `ticket_loadbalancer_id` (`loadbalancer_id`),
  CONSTRAINT `ticket_loadbalancer_id_fk` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ticket`
--

LOCK TABLES `ticket` WRITE;
/*!40000 ALTER TABLE `ticket` DISABLE KEYS */;
/*!40000 ALTER TABLE `ticket` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `traffic_scripts`
--

DROP TABLE IF EXISTS `traffic_scripts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `traffic_scripts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `host_id` int(11) NOT NULL,
  `name` varchar(128) NOT NULL,
  `status` varchar(32) DEFAULT NULL,
  `notes` varchar(256) DEFAULT NULL,
  `created` timestamp NULL DEFAULT NULL,
  `updated` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `lb_host_fk` (`host_id`),
  CONSTRAINT `ts_ibfk_1` FOREIGN KEY (`host_id`) REFERENCES `host` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `traffic_scripts`
--

LOCK TABLES `traffic_scripts` WRITE;
/*!40000 ALTER TABLE `traffic_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `traffic_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_pages`
--

DROP TABLE IF EXISTS `user_pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `loadbalancer_id` int(11) NOT NULL,
  `errorpage` mediumtext,
  PRIMARY KEY (`id`),
  KEY `loadbalancer_id` (`loadbalancer_id`),
  CONSTRAINT `user_pages_ibfk_1` FOREIGN KEY (`loadbalancer_id`) REFERENCES `loadbalancer` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_pages`
--

LOCK TABLES `user_pages` WRITE;
/*!40000 ALTER TABLE `user_pages` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `virtual_ip_event`
--

DROP TABLE IF EXISTS `virtual_ip_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `virtual_ip_event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_id` int(11) NOT NULL,
  `virtual_ip_id` int(11) NOT NULL,
  `event_title` varchar(64) DEFAULT NULL,
  `event_description` varchar(1024) DEFAULT NULL,
  `relative_uri` varchar(256) DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `severity` varchar(32) NOT NULL,
  `type` varchar(32) NOT NULL,
  `category` varchar(32) NOT NULL,
  `author` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `svvie_fk` (`severity`),
  KEY `tyvie_fk` (`type`),
  KEY `ctvie_fk` (`category`),
  CONSTRAINT `vie_sc1` FOREIGN KEY (`category`) REFERENCES `category_type` (`name`),
  CONSTRAINT `vie_st1` FOREIGN KEY (`type`) REFERENCES `event_type` (`name`),
  CONSTRAINT `vie_sv1` FOREIGN KEY (`severity`) REFERENCES `event_severity` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `virtual_ip_event`
--

LOCK TABLES `virtual_ip_event` WRITE;
/*!40000 ALTER TABLE `virtual_ip_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `virtual_ip_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `virtual_ip_ipv4`
--

DROP TABLE IF EXISTS `virtual_ip_ipv4`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `virtual_ip_ipv4` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(39) NOT NULL,
  `last_allocation` timestamp NULL DEFAULT NULL,
  `last_deallocation` timestamp NULL DEFAULT NULL,
  `type` varchar(32) DEFAULT NULL,
  `cluster_id` int(11) DEFAULT NULL,
  `is_allocated` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ip_address` (`ip_address`),
  KEY `FK71B4F2DBD56C3599` (`cluster_id`),
  KEY `virtual_ip_type_fk` (`type`),
  CONSTRAINT `FK71B4F2DBD56C3599` FOREIGN KEY (`cluster_id`) REFERENCES `cluster` (`id`),
  CONSTRAINT `virtual_ip_ipv4_ibfk_1` FOREIGN KEY (`type`) REFERENCES `virtual_ip_type` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=509 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `virtual_ip_ipv4`
--

LOCK TABLES `virtual_ip_ipv4` WRITE;
/*!40000 ALTER TABLE `virtual_ip_ipv4` DISABLE KEYS */;
INSERT INTO `virtual_ip_ipv4` VALUES (1,'172.25.0.1',NULL,NULL,'PUBLIC',1,0),(2,'172.25.0.2',NULL,NULL,'PUBLIC',1,0),(3,'172.25.0.3',NULL,NULL,'PUBLIC',1,0),(4,'172.25.0.4',NULL,NULL,'PUBLIC',1,0),(5,'172.25.0.5',NULL,NULL,'PUBLIC',1,0),(6,'172.25.0.6',NULL,NULL,'PUBLIC',1,0),(7,'172.25.0.7',NULL,NULL,'PUBLIC',1,0),(8,'172.25.0.8',NULL,NULL,'PUBLIC',1,0),(9,'172.25.0.9',NULL,NULL,'PUBLIC',1,0),(10,'172.25.0.10',NULL,NULL,'PUBLIC',1,0),(11,'172.25.0.11',NULL,NULL,'PUBLIC',1,0),(12,'172.25.0.12',NULL,NULL,'PUBLIC',1,0),(13,'172.25.0.13',NULL,NULL,'PUBLIC',1,0),(14,'172.25.0.14',NULL,NULL,'PUBLIC',1,0),(15,'172.25.0.15',NULL,NULL,'PUBLIC',1,0),(16,'172.25.0.16',NULL,NULL,'PUBLIC',1,0),(17,'172.25.0.17',NULL,NULL,'PUBLIC',1,0),(18,'172.25.0.18',NULL,NULL,'PUBLIC',1,0),(19,'172.25.0.19',NULL,NULL,'PUBLIC',1,0),(20,'172.25.0.20',NULL,NULL,'PUBLIC',1,0),(21,'172.25.0.21',NULL,NULL,'PUBLIC',1,0),(22,'172.25.0.22',NULL,NULL,'PUBLIC',1,0),(23,'172.25.0.23',NULL,NULL,'PUBLIC',1,0),(24,'172.25.0.24',NULL,NULL,'PUBLIC',1,0),(25,'172.25.0.25',NULL,NULL,'PUBLIC',1,0),(26,'172.25.0.26',NULL,NULL,'PUBLIC',1,0),(27,'172.25.0.27',NULL,NULL,'PUBLIC',1,0),(28,'172.25.0.28',NULL,NULL,'PUBLIC',1,0),(29,'172.25.0.29',NULL,NULL,'PUBLIC',1,0),(30,'172.25.0.30',NULL,NULL,'PUBLIC',1,0),(31,'172.25.0.31',NULL,NULL,'PUBLIC',1,0),(32,'172.25.0.32',NULL,NULL,'PUBLIC',1,0),(33,'172.25.0.33',NULL,NULL,'PUBLIC',1,0),(34,'172.25.0.34',NULL,NULL,'PUBLIC',1,0),(35,'172.25.0.35',NULL,NULL,'PUBLIC',1,0),(36,'172.25.0.36',NULL,NULL,'PUBLIC',1,0),(37,'172.25.0.37',NULL,NULL,'PUBLIC',1,0),(38,'172.25.0.38',NULL,NULL,'PUBLIC',1,0),(39,'172.25.0.39',NULL,NULL,'PUBLIC',1,0),(40,'172.25.0.40',NULL,NULL,'PUBLIC',1,0),(41,'172.25.0.41',NULL,NULL,'PUBLIC',1,0),(42,'172.25.0.42',NULL,NULL,'PUBLIC',1,0),(43,'172.25.0.43',NULL,NULL,'PUBLIC',1,0),(44,'172.25.0.44',NULL,NULL,'PUBLIC',1,0),(45,'172.25.0.45',NULL,NULL,'PUBLIC',1,0),(46,'172.25.0.46',NULL,NULL,'PUBLIC',1,0),(47,'172.25.0.47',NULL,NULL,'PUBLIC',1,0),(48,'172.25.0.48',NULL,NULL,'PUBLIC',1,0),(49,'172.25.0.49',NULL,NULL,'PUBLIC',1,0),(50,'172.25.0.50',NULL,NULL,'PUBLIC',1,0),(51,'172.25.0.51',NULL,NULL,'PUBLIC',1,0),(52,'172.25.0.52',NULL,NULL,'PUBLIC',1,0),(53,'172.25.0.53',NULL,NULL,'PUBLIC',1,0),(54,'172.25.0.54',NULL,NULL,'PUBLIC',1,0),(55,'172.25.0.55',NULL,NULL,'PUBLIC',1,0),(56,'172.25.0.56',NULL,NULL,'PUBLIC',1,0),(57,'172.25.0.57',NULL,NULL,'PUBLIC',1,0),(58,'172.25.0.58',NULL,NULL,'PUBLIC',1,0),(59,'172.25.0.59',NULL,NULL,'PUBLIC',1,0),(60,'172.25.0.60',NULL,NULL,'PUBLIC',1,0),(61,'172.25.0.61',NULL,NULL,'PUBLIC',1,0),(62,'172.25.0.62',NULL,NULL,'PUBLIC',1,0),(63,'172.25.0.63',NULL,NULL,'PUBLIC',1,0),(64,'172.25.0.64',NULL,NULL,'PUBLIC',1,0),(65,'172.25.0.65',NULL,NULL,'PUBLIC',1,0),(66,'172.25.0.66',NULL,NULL,'PUBLIC',1,0),(67,'172.25.0.67',NULL,NULL,'PUBLIC',1,0),(68,'172.25.0.68',NULL,NULL,'PUBLIC',1,0),(69,'172.25.0.69',NULL,NULL,'PUBLIC',1,0),(70,'172.25.0.70',NULL,NULL,'PUBLIC',1,0),(71,'172.25.0.71',NULL,NULL,'PUBLIC',1,0),(72,'172.25.0.72',NULL,NULL,'PUBLIC',1,0),(73,'172.25.0.73',NULL,NULL,'PUBLIC',1,0),(74,'172.25.0.74',NULL,NULL,'PUBLIC',1,0),(75,'172.25.0.75',NULL,NULL,'PUBLIC',1,0),(76,'172.25.0.76',NULL,NULL,'PUBLIC',1,0),(77,'172.25.0.77',NULL,NULL,'PUBLIC',1,0),(78,'172.25.0.78',NULL,NULL,'PUBLIC',1,0),(79,'172.25.0.79',NULL,NULL,'PUBLIC',1,0),(80,'172.25.0.80',NULL,NULL,'PUBLIC',1,0),(81,'172.25.0.81',NULL,NULL,'PUBLIC',1,0),(82,'172.25.0.82',NULL,NULL,'PUBLIC',1,0),(83,'172.25.0.83',NULL,NULL,'PUBLIC',1,0),(84,'172.25.0.84',NULL,NULL,'PUBLIC',1,0),(85,'172.25.0.85',NULL,NULL,'PUBLIC',1,0),(86,'172.25.0.86',NULL,NULL,'PUBLIC',1,0),(87,'172.25.0.87',NULL,NULL,'PUBLIC',1,0),(88,'172.25.0.88',NULL,NULL,'PUBLIC',1,0),(89,'172.25.0.89',NULL,NULL,'PUBLIC',1,0),(90,'172.25.0.90',NULL,NULL,'PUBLIC',1,0),(91,'172.25.0.91',NULL,NULL,'PUBLIC',1,0),(92,'172.25.0.92',NULL,NULL,'PUBLIC',1,0),(93,'172.25.0.93',NULL,NULL,'PUBLIC',1,0),(94,'172.25.0.94',NULL,NULL,'PUBLIC',1,0),(95,'172.25.0.95',NULL,NULL,'PUBLIC',1,0),(96,'172.25.0.96',NULL,NULL,'PUBLIC',1,0),(97,'172.25.0.97',NULL,NULL,'PUBLIC',1,0),(98,'172.25.0.98',NULL,NULL,'PUBLIC',1,0),(99,'172.25.0.99',NULL,NULL,'PUBLIC',1,0),(100,'172.25.0.100',NULL,NULL,'PUBLIC',1,0),(101,'172.25.0.101',NULL,NULL,'PUBLIC',1,0),(102,'172.25.0.102',NULL,NULL,'PUBLIC',1,0),(103,'172.25.0.103',NULL,NULL,'PUBLIC',1,0),(104,'172.25.0.104',NULL,NULL,'PUBLIC',1,0),(105,'172.25.0.105',NULL,NULL,'PUBLIC',1,0),(106,'172.25.0.106',NULL,NULL,'PUBLIC',1,0),(107,'172.25.0.107',NULL,NULL,'PUBLIC',1,0),(108,'172.25.0.108',NULL,NULL,'PUBLIC',1,0),(109,'172.25.0.109',NULL,NULL,'PUBLIC',1,0),(110,'172.25.0.110',NULL,NULL,'PUBLIC',1,0),(111,'172.25.0.111',NULL,NULL,'PUBLIC',1,0),(112,'172.25.0.112',NULL,NULL,'PUBLIC',1,0),(113,'172.25.0.113',NULL,NULL,'PUBLIC',1,0),(114,'172.25.0.114',NULL,NULL,'PUBLIC',1,0),(115,'172.25.0.115',NULL,NULL,'PUBLIC',1,0),(116,'172.25.0.116',NULL,NULL,'PUBLIC',1,0),(117,'172.25.0.117',NULL,NULL,'PUBLIC',1,0),(118,'172.25.0.118',NULL,NULL,'PUBLIC',1,0),(119,'172.25.0.119',NULL,NULL,'PUBLIC',1,0),(120,'172.25.0.120',NULL,NULL,'PUBLIC',1,0),(121,'172.25.0.121',NULL,NULL,'PUBLIC',1,0),(122,'172.25.0.122',NULL,NULL,'PUBLIC',1,0),(123,'172.25.0.123',NULL,NULL,'PUBLIC',1,0),(124,'172.25.0.124',NULL,NULL,'PUBLIC',1,0),(125,'172.25.0.125',NULL,NULL,'PUBLIC',1,0),(126,'172.25.0.126',NULL,NULL,'PUBLIC',1,0),(127,'172.25.0.127',NULL,NULL,'PUBLIC',1,0),(128,'172.25.0.128',NULL,NULL,'PUBLIC',1,0),(129,'172.25.0.129',NULL,NULL,'PUBLIC',1,0),(130,'172.25.0.130',NULL,NULL,'PUBLIC',1,0),(131,'172.25.0.131',NULL,NULL,'PUBLIC',1,0),(132,'172.25.0.132',NULL,NULL,'PUBLIC',1,0),(133,'172.25.0.133',NULL,NULL,'PUBLIC',1,0),(134,'172.25.0.134',NULL,NULL,'PUBLIC',1,0),(135,'172.25.0.135',NULL,NULL,'PUBLIC',1,0),(136,'172.25.0.136',NULL,NULL,'PUBLIC',1,0),(137,'172.25.0.137',NULL,NULL,'PUBLIC',1,0),(138,'172.25.0.138',NULL,NULL,'PUBLIC',1,0),(139,'172.25.0.139',NULL,NULL,'PUBLIC',1,0),(140,'172.25.0.140',NULL,NULL,'PUBLIC',1,0),(141,'172.25.0.141',NULL,NULL,'PUBLIC',1,0),(142,'172.25.0.142',NULL,NULL,'PUBLIC',1,0),(143,'172.25.0.143',NULL,NULL,'PUBLIC',1,0),(144,'172.25.0.144',NULL,NULL,'PUBLIC',1,0),(145,'172.25.0.145',NULL,NULL,'PUBLIC',1,0),(146,'172.25.0.146',NULL,NULL,'PUBLIC',1,0),(147,'172.25.0.147',NULL,NULL,'PUBLIC',1,0),(148,'172.25.0.148',NULL,NULL,'PUBLIC',1,0),(149,'172.25.0.149',NULL,NULL,'PUBLIC',1,0),(150,'172.25.0.150',NULL,NULL,'PUBLIC',1,0),(151,'172.25.0.151',NULL,NULL,'PUBLIC',1,0),(152,'172.25.0.152',NULL,NULL,'PUBLIC',1,0),(153,'172.25.0.153',NULL,NULL,'PUBLIC',1,0),(154,'172.25.0.154',NULL,NULL,'PUBLIC',1,0),(155,'172.25.0.155',NULL,NULL,'PUBLIC',1,0),(156,'172.25.0.156',NULL,NULL,'PUBLIC',1,0),(157,'172.25.0.157',NULL,NULL,'PUBLIC',1,0),(158,'172.25.0.158',NULL,NULL,'PUBLIC',1,0),(159,'172.25.0.159',NULL,NULL,'PUBLIC',1,0),(160,'172.25.0.160',NULL,NULL,'PUBLIC',1,0),(161,'172.25.0.161',NULL,NULL,'PUBLIC',1,0),(162,'172.25.0.162',NULL,NULL,'PUBLIC',1,0),(163,'172.25.0.163',NULL,NULL,'PUBLIC',1,0),(164,'172.25.0.164',NULL,NULL,'PUBLIC',1,0),(165,'172.25.0.165',NULL,NULL,'PUBLIC',1,0),(166,'172.25.0.166',NULL,NULL,'PUBLIC',1,0),(167,'172.25.0.167',NULL,NULL,'PUBLIC',1,0),(168,'172.25.0.168',NULL,NULL,'PUBLIC',1,0),(169,'172.25.0.169',NULL,NULL,'PUBLIC',1,0),(170,'172.25.0.170',NULL,NULL,'PUBLIC',1,0),(171,'172.25.0.171',NULL,NULL,'PUBLIC',1,0),(172,'172.25.0.172',NULL,NULL,'PUBLIC',1,0),(173,'172.25.0.173',NULL,NULL,'PUBLIC',1,0),(174,'172.25.0.174',NULL,NULL,'PUBLIC',1,0),(175,'172.25.0.175',NULL,NULL,'PUBLIC',1,0),(176,'172.25.0.176',NULL,NULL,'PUBLIC',1,0),(177,'172.25.0.177',NULL,NULL,'PUBLIC',1,0),(178,'172.25.0.178',NULL,NULL,'PUBLIC',1,0),(179,'172.25.0.179',NULL,NULL,'PUBLIC',1,0),(180,'172.25.0.180',NULL,NULL,'PUBLIC',1,0),(181,'172.25.0.181',NULL,NULL,'PUBLIC',1,0),(182,'172.25.0.182',NULL,NULL,'PUBLIC',1,0),(183,'172.25.0.183',NULL,NULL,'PUBLIC',1,0),(184,'172.25.0.184',NULL,NULL,'PUBLIC',1,0),(185,'172.25.0.185',NULL,NULL,'PUBLIC',1,0),(186,'172.25.0.186',NULL,NULL,'PUBLIC',1,0),(187,'172.25.0.187',NULL,NULL,'PUBLIC',1,0),(188,'172.25.0.188',NULL,NULL,'PUBLIC',1,0),(189,'172.25.0.189',NULL,NULL,'PUBLIC',1,0),(190,'172.25.0.190',NULL,NULL,'PUBLIC',1,0),(191,'172.25.0.191',NULL,NULL,'PUBLIC',1,0),(192,'172.25.0.192',NULL,NULL,'PUBLIC',1,0),(193,'172.25.0.193',NULL,NULL,'PUBLIC',1,0),(194,'172.25.0.194',NULL,NULL,'PUBLIC',1,0),(195,'172.25.0.195',NULL,NULL,'PUBLIC',1,0),(196,'172.25.0.196',NULL,NULL,'PUBLIC',1,0),(197,'172.25.0.197',NULL,NULL,'PUBLIC',1,0),(198,'172.25.0.198',NULL,NULL,'PUBLIC',1,0),(199,'172.25.0.199',NULL,NULL,'PUBLIC',1,0),(200,'172.25.0.200',NULL,NULL,'PUBLIC',1,0),(201,'172.25.0.201',NULL,NULL,'PUBLIC',1,0),(202,'172.25.0.202',NULL,NULL,'PUBLIC',1,0),(203,'172.25.0.203',NULL,NULL,'PUBLIC',1,0),(204,'172.25.0.204',NULL,NULL,'PUBLIC',1,0),(205,'172.25.0.205',NULL,NULL,'PUBLIC',1,0),(206,'172.25.0.206',NULL,NULL,'PUBLIC',1,0),(207,'172.25.0.207',NULL,NULL,'PUBLIC',1,0),(208,'172.25.0.208',NULL,NULL,'PUBLIC',1,0),(209,'172.25.0.209',NULL,NULL,'PUBLIC',1,0),(210,'172.25.0.210',NULL,NULL,'PUBLIC',1,0),(211,'172.25.0.211',NULL,NULL,'PUBLIC',1,0),(212,'172.25.0.212',NULL,NULL,'PUBLIC',1,0),(213,'172.25.0.213',NULL,NULL,'PUBLIC',1,0),(214,'172.25.0.214',NULL,NULL,'PUBLIC',1,0),(215,'172.25.0.215',NULL,NULL,'PUBLIC',1,0),(216,'172.25.0.216',NULL,NULL,'PUBLIC',1,0),(217,'172.25.0.217',NULL,NULL,'PUBLIC',1,0),(218,'172.25.0.218',NULL,NULL,'PUBLIC',1,0),(219,'172.25.0.219',NULL,NULL,'PUBLIC',1,0),(220,'172.25.0.220',NULL,NULL,'PUBLIC',1,0),(221,'172.25.0.221',NULL,NULL,'PUBLIC',1,0),(222,'172.25.0.222',NULL,NULL,'PUBLIC',1,0),(223,'172.25.0.223',NULL,NULL,'PUBLIC',1,0),(224,'172.25.0.224',NULL,NULL,'PUBLIC',1,0),(225,'172.25.0.225',NULL,NULL,'PUBLIC',1,0),(226,'172.25.0.226',NULL,NULL,'PUBLIC',1,0),(227,'172.25.0.227',NULL,NULL,'PUBLIC',1,0),(228,'172.25.0.228',NULL,NULL,'PUBLIC',1,0),(229,'172.25.0.229',NULL,NULL,'PUBLIC',1,0),(230,'172.25.0.230',NULL,NULL,'PUBLIC',1,0),(231,'172.25.0.231',NULL,NULL,'PUBLIC',1,0),(232,'172.25.0.232',NULL,NULL,'PUBLIC',1,0),(233,'172.25.0.233',NULL,NULL,'PUBLIC',1,0),(234,'172.25.0.234',NULL,NULL,'PUBLIC',1,0),(235,'172.25.0.235',NULL,NULL,'PUBLIC',1,0),(236,'172.25.0.236',NULL,NULL,'PUBLIC',1,0),(237,'172.25.0.237',NULL,NULL,'PUBLIC',1,0),(238,'172.25.0.238',NULL,NULL,'PUBLIC',1,0),(239,'172.25.0.239',NULL,NULL,'PUBLIC',1,0),(240,'172.25.0.240',NULL,NULL,'PUBLIC',1,0),(241,'172.25.0.241',NULL,NULL,'PUBLIC',1,0),(242,'172.25.0.242',NULL,NULL,'PUBLIC',1,0),(243,'172.25.0.243',NULL,NULL,'PUBLIC',1,0),(244,'172.25.0.244',NULL,NULL,'PUBLIC',1,0),(245,'172.25.0.245',NULL,NULL,'PUBLIC',1,0),(246,'172.25.0.246',NULL,NULL,'PUBLIC',1,0),(247,'172.25.0.247',NULL,NULL,'PUBLIC',1,0),(248,'172.25.0.248',NULL,NULL,'PUBLIC',1,0),(249,'172.25.0.249',NULL,NULL,'PUBLIC',1,0),(250,'172.25.0.250',NULL,NULL,'PUBLIC',1,0),(251,'172.25.0.251',NULL,NULL,'PUBLIC',1,0),(252,'172.25.0.252',NULL,NULL,'PUBLIC',1,0),(253,'172.25.0.253',NULL,NULL,'PUBLIC',1,0),(254,'172.25.0.254',NULL,NULL,'PUBLIC',1,0),(255,'172.26.0.1',NULL,NULL,'SERVICENET',1,0),(256,'172.26.0.2',NULL,NULL,'SERVICENET',1,0),(257,'172.26.0.3',NULL,NULL,'SERVICENET',1,0),(258,'172.26.0.4',NULL,NULL,'SERVICENET',1,0),(259,'172.26.0.5',NULL,NULL,'SERVICENET',1,0),(260,'172.26.0.6',NULL,NULL,'SERVICENET',1,0),(261,'172.26.0.7',NULL,NULL,'SERVICENET',1,0),(262,'172.26.0.8',NULL,NULL,'SERVICENET',1,0),(263,'172.26.0.9',NULL,NULL,'SERVICENET',1,0),(264,'172.26.0.10',NULL,NULL,'SERVICENET',1,0),(265,'172.26.0.11',NULL,NULL,'SERVICENET',1,0),(266,'172.26.0.12',NULL,NULL,'SERVICENET',1,0),(267,'172.26.0.13',NULL,NULL,'SERVICENET',1,0),(268,'172.26.0.14',NULL,NULL,'SERVICENET',1,0),(269,'172.26.0.15',NULL,NULL,'SERVICENET',1,0),(270,'172.26.0.16',NULL,NULL,'SERVICENET',1,0),(271,'172.26.0.17',NULL,NULL,'SERVICENET',1,0),(272,'172.26.0.18',NULL,NULL,'SERVICENET',1,0),(273,'172.26.0.19',NULL,NULL,'SERVICENET',1,0),(274,'172.26.0.20',NULL,NULL,'SERVICENET',1,0),(275,'172.26.0.21',NULL,NULL,'SERVICENET',1,0),(276,'172.26.0.22',NULL,NULL,'SERVICENET',1,0),(277,'172.26.0.23',NULL,NULL,'SERVICENET',1,0),(278,'172.26.0.24',NULL,NULL,'SERVICENET',1,0),(279,'172.26.0.25',NULL,NULL,'SERVICENET',1,0),(280,'172.26.0.26',NULL,NULL,'SERVICENET',1,0),(281,'172.26.0.27',NULL,NULL,'SERVICENET',1,0),(282,'172.26.0.28',NULL,NULL,'SERVICENET',1,0),(283,'172.26.0.29',NULL,NULL,'SERVICENET',1,0),(284,'172.26.0.30',NULL,NULL,'SERVICENET',1,0),(285,'172.26.0.31',NULL,NULL,'SERVICENET',1,0),(286,'172.26.0.32',NULL,NULL,'SERVICENET',1,0),(287,'172.26.0.33',NULL,NULL,'SERVICENET',1,0),(288,'172.26.0.34',NULL,NULL,'SERVICENET',1,0),(289,'172.26.0.35',NULL,NULL,'SERVICENET',1,0),(290,'172.26.0.36',NULL,NULL,'SERVICENET',1,0),(291,'172.26.0.37',NULL,NULL,'SERVICENET',1,0),(292,'172.26.0.38',NULL,NULL,'SERVICENET',1,0),(293,'172.26.0.39',NULL,NULL,'SERVICENET',1,0),(294,'172.26.0.40',NULL,NULL,'SERVICENET',1,0),(295,'172.26.0.41',NULL,NULL,'SERVICENET',1,0),(296,'172.26.0.42',NULL,NULL,'SERVICENET',1,0),(297,'172.26.0.43',NULL,NULL,'SERVICENET',1,0),(298,'172.26.0.44',NULL,NULL,'SERVICENET',1,0),(299,'172.26.0.45',NULL,NULL,'SERVICENET',1,0),(300,'172.26.0.46',NULL,NULL,'SERVICENET',1,0),(301,'172.26.0.47',NULL,NULL,'SERVICENET',1,0),(302,'172.26.0.48',NULL,NULL,'SERVICENET',1,0),(303,'172.26.0.49',NULL,NULL,'SERVICENET',1,0),(304,'172.26.0.50',NULL,NULL,'SERVICENET',1,0),(305,'172.26.0.51',NULL,NULL,'SERVICENET',1,0),(306,'172.26.0.52',NULL,NULL,'SERVICENET',1,0),(307,'172.26.0.53',NULL,NULL,'SERVICENET',1,0),(308,'172.26.0.54',NULL,NULL,'SERVICENET',1,0),(309,'172.26.0.55',NULL,NULL,'SERVICENET',1,0),(310,'172.26.0.56',NULL,NULL,'SERVICENET',1,0),(311,'172.26.0.57',NULL,NULL,'SERVICENET',1,0),(312,'172.26.0.58',NULL,NULL,'SERVICENET',1,0),(313,'172.26.0.59',NULL,NULL,'SERVICENET',1,0),(314,'172.26.0.60',NULL,NULL,'SERVICENET',1,0),(315,'172.26.0.61',NULL,NULL,'SERVICENET',1,0),(316,'172.26.0.62',NULL,NULL,'SERVICENET',1,0),(317,'172.26.0.63',NULL,NULL,'SERVICENET',1,0),(318,'172.26.0.64',NULL,NULL,'SERVICENET',1,0),(319,'172.26.0.65',NULL,NULL,'SERVICENET',1,0),(320,'172.26.0.66',NULL,NULL,'SERVICENET',1,0),(321,'172.26.0.67',NULL,NULL,'SERVICENET',1,0),(322,'172.26.0.68',NULL,NULL,'SERVICENET',1,0),(323,'172.26.0.69',NULL,NULL,'SERVICENET',1,0),(324,'172.26.0.70',NULL,NULL,'SERVICENET',1,0),(325,'172.26.0.71',NULL,NULL,'SERVICENET',1,0),(326,'172.26.0.72',NULL,NULL,'SERVICENET',1,0),(327,'172.26.0.73',NULL,NULL,'SERVICENET',1,0),(328,'172.26.0.74',NULL,NULL,'SERVICENET',1,0),(329,'172.26.0.75',NULL,NULL,'SERVICENET',1,0),(330,'172.26.0.76',NULL,NULL,'SERVICENET',1,0),(331,'172.26.0.77',NULL,NULL,'SERVICENET',1,0),(332,'172.26.0.78',NULL,NULL,'SERVICENET',1,0),(333,'172.26.0.79',NULL,NULL,'SERVICENET',1,0),(334,'172.26.0.80',NULL,NULL,'SERVICENET',1,0),(335,'172.26.0.81',NULL,NULL,'SERVICENET',1,0),(336,'172.26.0.82',NULL,NULL,'SERVICENET',1,0),(337,'172.26.0.83',NULL,NULL,'SERVICENET',1,0),(338,'172.26.0.84',NULL,NULL,'SERVICENET',1,0),(339,'172.26.0.85',NULL,NULL,'SERVICENET',1,0),(340,'172.26.0.86',NULL,NULL,'SERVICENET',1,0),(341,'172.26.0.87',NULL,NULL,'SERVICENET',1,0),(342,'172.26.0.88',NULL,NULL,'SERVICENET',1,0),(343,'172.26.0.89',NULL,NULL,'SERVICENET',1,0),(344,'172.26.0.90',NULL,NULL,'SERVICENET',1,0),(345,'172.26.0.91',NULL,NULL,'SERVICENET',1,0),(346,'172.26.0.92',NULL,NULL,'SERVICENET',1,0),(347,'172.26.0.93',NULL,NULL,'SERVICENET',1,0),(348,'172.26.0.94',NULL,NULL,'SERVICENET',1,0),(349,'172.26.0.95',NULL,NULL,'SERVICENET',1,0),(350,'172.26.0.96',NULL,NULL,'SERVICENET',1,0),(351,'172.26.0.97',NULL,NULL,'SERVICENET',1,0),(352,'172.26.0.98',NULL,NULL,'SERVICENET',1,0),(353,'172.26.0.99',NULL,NULL,'SERVICENET',1,0),(354,'172.26.0.100',NULL,NULL,'SERVICENET',1,0),(355,'172.26.0.101',NULL,NULL,'SERVICENET',1,0),(356,'172.26.0.102',NULL,NULL,'SERVICENET',1,0),(357,'172.26.0.103',NULL,NULL,'SERVICENET',1,0),(358,'172.26.0.104',NULL,NULL,'SERVICENET',1,0),(359,'172.26.0.105',NULL,NULL,'SERVICENET',1,0),(360,'172.26.0.106',NULL,NULL,'SERVICENET',1,0),(361,'172.26.0.107',NULL,NULL,'SERVICENET',1,0),(362,'172.26.0.108',NULL,NULL,'SERVICENET',1,0),(363,'172.26.0.109',NULL,NULL,'SERVICENET',1,0),(364,'172.26.0.110',NULL,NULL,'SERVICENET',1,0),(365,'172.26.0.111',NULL,NULL,'SERVICENET',1,0),(366,'172.26.0.112',NULL,NULL,'SERVICENET',1,0),(367,'172.26.0.113',NULL,NULL,'SERVICENET',1,0),(368,'172.26.0.114',NULL,NULL,'SERVICENET',1,0),(369,'172.26.0.115',NULL,NULL,'SERVICENET',1,0),(370,'172.26.0.116',NULL,NULL,'SERVICENET',1,0),(371,'172.26.0.117',NULL,NULL,'SERVICENET',1,0),(372,'172.26.0.118',NULL,NULL,'SERVICENET',1,0),(373,'172.26.0.119',NULL,NULL,'SERVICENET',1,0),(374,'172.26.0.120',NULL,NULL,'SERVICENET',1,0),(375,'172.26.0.121',NULL,NULL,'SERVICENET',1,0),(376,'172.26.0.122',NULL,NULL,'SERVICENET',1,0),(377,'172.26.0.123',NULL,NULL,'SERVICENET',1,0),(378,'172.26.0.124',NULL,NULL,'SERVICENET',1,0),(379,'172.26.0.125',NULL,NULL,'SERVICENET',1,0),(380,'172.26.0.126',NULL,NULL,'SERVICENET',1,0),(381,'172.26.0.127',NULL,NULL,'SERVICENET',1,0),(382,'172.26.0.128',NULL,NULL,'SERVICENET',1,0),(383,'172.26.0.129',NULL,NULL,'SERVICENET',1,0),(384,'172.26.0.130',NULL,NULL,'SERVICENET',1,0),(385,'172.26.0.131',NULL,NULL,'SERVICENET',1,0),(386,'172.26.0.132',NULL,NULL,'SERVICENET',1,0),(387,'172.26.0.133',NULL,NULL,'SERVICENET',1,0),(388,'172.26.0.134',NULL,NULL,'SERVICENET',1,0),(389,'172.26.0.135',NULL,NULL,'SERVICENET',1,0),(390,'172.26.0.136',NULL,NULL,'SERVICENET',1,0),(391,'172.26.0.137',NULL,NULL,'SERVICENET',1,0),(392,'172.26.0.138',NULL,NULL,'SERVICENET',1,0),(393,'172.26.0.139',NULL,NULL,'SERVICENET',1,0),(394,'172.26.0.140',NULL,NULL,'SERVICENET',1,0),(395,'172.26.0.141',NULL,NULL,'SERVICENET',1,0),(396,'172.26.0.142',NULL,NULL,'SERVICENET',1,0),(397,'172.26.0.143',NULL,NULL,'SERVICENET',1,0),(398,'172.26.0.144',NULL,NULL,'SERVICENET',1,0),(399,'172.26.0.145',NULL,NULL,'SERVICENET',1,0),(400,'172.26.0.146',NULL,NULL,'SERVICENET',1,0),(401,'172.26.0.147',NULL,NULL,'SERVICENET',1,0),(402,'172.26.0.148',NULL,NULL,'SERVICENET',1,0),(403,'172.26.0.149',NULL,NULL,'SERVICENET',1,0),(404,'172.26.0.150',NULL,NULL,'SERVICENET',1,0),(405,'172.26.0.151',NULL,NULL,'SERVICENET',1,0),(406,'172.26.0.152',NULL,NULL,'SERVICENET',1,0),(407,'172.26.0.153',NULL,NULL,'SERVICENET',1,0),(408,'172.26.0.154',NULL,NULL,'SERVICENET',1,0),(409,'172.26.0.155',NULL,NULL,'SERVICENET',1,0),(410,'172.26.0.156',NULL,NULL,'SERVICENET',1,0),(411,'172.26.0.157',NULL,NULL,'SERVICENET',1,0),(412,'172.26.0.158',NULL,NULL,'SERVICENET',1,0),(413,'172.26.0.159',NULL,NULL,'SERVICENET',1,0),(414,'172.26.0.160',NULL,NULL,'SERVICENET',1,0),(415,'172.26.0.161',NULL,NULL,'SERVICENET',1,0),(416,'172.26.0.162',NULL,NULL,'SERVICENET',1,0),(417,'172.26.0.163',NULL,NULL,'SERVICENET',1,0),(418,'172.26.0.164',NULL,NULL,'SERVICENET',1,0),(419,'172.26.0.165',NULL,NULL,'SERVICENET',1,0),(420,'172.26.0.166',NULL,NULL,'SERVICENET',1,0),(421,'172.26.0.167',NULL,NULL,'SERVICENET',1,0),(422,'172.26.0.168',NULL,NULL,'SERVICENET',1,0),(423,'172.26.0.169',NULL,NULL,'SERVICENET',1,0),(424,'172.26.0.170',NULL,NULL,'SERVICENET',1,0),(425,'172.26.0.171',NULL,NULL,'SERVICENET',1,0),(426,'172.26.0.172',NULL,NULL,'SERVICENET',1,0),(427,'172.26.0.173',NULL,NULL,'SERVICENET',1,0),(428,'172.26.0.174',NULL,NULL,'SERVICENET',1,0),(429,'172.26.0.175',NULL,NULL,'SERVICENET',1,0),(430,'172.26.0.176',NULL,NULL,'SERVICENET',1,0),(431,'172.26.0.177',NULL,NULL,'SERVICENET',1,0),(432,'172.26.0.178',NULL,NULL,'SERVICENET',1,0),(433,'172.26.0.179',NULL,NULL,'SERVICENET',1,0),(434,'172.26.0.180',NULL,NULL,'SERVICENET',1,0),(435,'172.26.0.181',NULL,NULL,'SERVICENET',1,0),(436,'172.26.0.182',NULL,NULL,'SERVICENET',1,0),(437,'172.26.0.183',NULL,NULL,'SERVICENET',1,0),(438,'172.26.0.184',NULL,NULL,'SERVICENET',1,0),(439,'172.26.0.185',NULL,NULL,'SERVICENET',1,0),(440,'172.26.0.186',NULL,NULL,'SERVICENET',1,0),(441,'172.26.0.187',NULL,NULL,'SERVICENET',1,0),(442,'172.26.0.188',NULL,NULL,'SERVICENET',1,0),(443,'172.26.0.189',NULL,NULL,'SERVICENET',1,0),(444,'172.26.0.190',NULL,NULL,'SERVICENET',1,0),(445,'172.26.0.191',NULL,NULL,'SERVICENET',1,0),(446,'172.26.0.192',NULL,NULL,'SERVICENET',1,0),(447,'172.26.0.193',NULL,NULL,'SERVICENET',1,0),(448,'172.26.0.194',NULL,NULL,'SERVICENET',1,0),(449,'172.26.0.195',NULL,NULL,'SERVICENET',1,0),(450,'172.26.0.196',NULL,NULL,'SERVICENET',1,0),(451,'172.26.0.197',NULL,NULL,'SERVICENET',1,0),(452,'172.26.0.198',NULL,NULL,'SERVICENET',1,0),(453,'172.26.0.199',NULL,NULL,'SERVICENET',1,0),(454,'172.26.0.200',NULL,NULL,'SERVICENET',1,0),(455,'172.26.0.201',NULL,NULL,'SERVICENET',1,0),(456,'172.26.0.202',NULL,NULL,'SERVICENET',1,0),(457,'172.26.0.203',NULL,NULL,'SERVICENET',1,0),(458,'172.26.0.204',NULL,NULL,'SERVICENET',1,0),(459,'172.26.0.205',NULL,NULL,'SERVICENET',1,0),(460,'172.26.0.206',NULL,NULL,'SERVICENET',1,0),(461,'172.26.0.207',NULL,NULL,'SERVICENET',1,0),(462,'172.26.0.208',NULL,NULL,'SERVICENET',1,0),(463,'172.26.0.209',NULL,NULL,'SERVICENET',1,0),(464,'172.26.0.210',NULL,NULL,'SERVICENET',1,0),(465,'172.26.0.211',NULL,NULL,'SERVICENET',1,0),(466,'172.26.0.212',NULL,NULL,'SERVICENET',1,0),(467,'172.26.0.213',NULL,NULL,'SERVICENET',1,0),(468,'172.26.0.214',NULL,NULL,'SERVICENET',1,0),(469,'172.26.0.215',NULL,NULL,'SERVICENET',1,0),(470,'172.26.0.216',NULL,NULL,'SERVICENET',1,0),(471,'172.26.0.217',NULL,NULL,'SERVICENET',1,0),(472,'172.26.0.218',NULL,NULL,'SERVICENET',1,0),(473,'172.26.0.219',NULL,NULL,'SERVICENET',1,0),(474,'172.26.0.220',NULL,NULL,'SERVICENET',1,0),(475,'172.26.0.221',NULL,NULL,'SERVICENET',1,0),(476,'172.26.0.222',NULL,NULL,'SERVICENET',1,0),(477,'172.26.0.223',NULL,NULL,'SERVICENET',1,0),(478,'172.26.0.224',NULL,NULL,'SERVICENET',1,0),(479,'172.26.0.225',NULL,NULL,'SERVICENET',1,0),(480,'172.26.0.226',NULL,NULL,'SERVICENET',1,0),(481,'172.26.0.227',NULL,NULL,'SERVICENET',1,0),(482,'172.26.0.228',NULL,NULL,'SERVICENET',1,0),(483,'172.26.0.229',NULL,NULL,'SERVICENET',1,0),(484,'172.26.0.230',NULL,NULL,'SERVICENET',1,0),(485,'172.26.0.231',NULL,NULL,'SERVICENET',1,0),(486,'172.26.0.232',NULL,NULL,'SERVICENET',1,0),(487,'172.26.0.233',NULL,NULL,'SERVICENET',1,0),(488,'172.26.0.234',NULL,NULL,'SERVICENET',1,0),(489,'172.26.0.235',NULL,NULL,'SERVICENET',1,0),(490,'172.26.0.236',NULL,NULL,'SERVICENET',1,0),(491,'172.26.0.237',NULL,NULL,'SERVICENET',1,0),(492,'172.26.0.238',NULL,NULL,'SERVICENET',1,0),(493,'172.26.0.239',NULL,NULL,'SERVICENET',1,0),(494,'172.26.0.240',NULL,NULL,'SERVICENET',1,0),(495,'172.26.0.241',NULL,NULL,'SERVICENET',1,0),(496,'172.26.0.242',NULL,NULL,'SERVICENET',1,0),(497,'172.26.0.243',NULL,NULL,'SERVICENET',1,0),(498,'172.26.0.244',NULL,NULL,'SERVICENET',1,0),(499,'172.26.0.245',NULL,NULL,'SERVICENET',1,0),(500,'172.26.0.246',NULL,NULL,'SERVICENET',1,0),(501,'172.26.0.247',NULL,NULL,'SERVICENET',1,0),(502,'172.26.0.248',NULL,NULL,'SERVICENET',1,0),(503,'172.26.0.249',NULL,NULL,'SERVICENET',1,0),(504,'172.26.0.250',NULL,NULL,'SERVICENET',1,0),(505,'172.26.0.251',NULL,NULL,'SERVICENET',1,0),(506,'172.26.0.252',NULL,NULL,'SERVICENET',1,0),(507,'172.26.0.253',NULL,NULL,'SERVICENET',1,0),(508,'172.26.0.254',NULL,NULL,'SERVICENET',1,0);
/*!40000 ALTER TABLE `virtual_ip_ipv4` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `virtual_ip_ipv6`
--

DROP TABLE IF EXISTS `virtual_ip_ipv6`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `virtual_ip_ipv6` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `vip_octets` int(11) NOT NULL,
  `cluster_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `account_octets` (`account_id`,`vip_octets`),
  KEY `cluster_id` (`cluster_id`),
  KEY `account_id` (`account_id`),
  KEY `vip_octets` (`vip_octets`),
  CONSTRAINT `virtual_ip_ipv6_ibfk_1` FOREIGN KEY (`cluster_id`) REFERENCES `cluster` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9000000 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `virtual_ip_ipv6`
--

LOCK TABLES `virtual_ip_ipv6` WRITE;
/*!40000 ALTER TABLE `virtual_ip_ipv6` DISABLE KEYS */;
/*!40000 ALTER TABLE `virtual_ip_ipv6` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `virtual_ip_type`
--

DROP TABLE IF EXISTS `virtual_ip_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `virtual_ip_type` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `virtual_ip_type`
--

LOCK TABLES `virtual_ip_type` WRITE;
/*!40000 ALTER TABLE `virtual_ip_type` DISABLE KEYS */;
INSERT INTO `virtual_ip_type` VALUES ('PUBLIC','Indicates that the virtual ip is exposed publicly'),('SERVICENET','Indicates that the virtual ip is used for servicing');
/*!40000 ALTER TABLE `virtual_ip_type` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-11-27 15:29:35
