-- MySQL dump 10.13  Distrib 5.1.72, for apple-darwin10.3.0 (i386)
--
-- Host: localhost    Database: loadbalancing_usage
-- ------------------------------------------------------
-- Server version	5.1.72

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `loadbalancing_usage`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `loadbalancing_usage` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `loadbalancing_usage`;

--
-- Table structure for table `host_usage`
--

DROP TABLE IF EXISTS `host_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `host_usage` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `host_id` int(11) NOT NULL,
  `bandwidth_bytes_in` bigint(20) NOT NULL DEFAULT '0',
  `bandwidth_bytes_out` bigint(20) NOT NULL DEFAULT '0',
  `snapshot_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `host_usage_host_key` (`host_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `host_usage`
--

LOCK TABLES `host_usage` WRITE;
/*!40000 ALTER TABLE `host_usage` DISABLE KEYS */;
/*!40000 ALTER TABLE `host_usage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_host_usage`
--

DROP TABLE IF EXISTS `lb_host_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_host_usage` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_id` int(11) NOT NULL,
  `host_id` int(11) NOT NULL,
  `bandwidth_out` bigint(20) NOT NULL DEFAULT '0',
  `bandwidth_in` bigint(20) NOT NULL DEFAULT '0',
  `bandwidth_in_ssl` bigint(20) NOT NULL DEFAULT '0',
  `bandwidth_out_ssl` bigint(20) NOT NULL DEFAULT '0',
  `concurrent_connections` bigint(20) NOT NULL DEFAULT '0',
  `concurrent_connections_ssl` bigint(20) NOT NULL DEFAULT '0',
  `poll_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `tags_bitmask` int(3) NOT NULL DEFAULT '0',
  `num_vips` int(11) NOT NULL DEFAULT '1',
  `event_type` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lb_host_usage_account_key` (`account_id`),
  KEY `lb_host_usage_lb_key` (`loadbalancer_id`),
  KEY `lb_host_usage_host_key` (`host_id`),
  KEY `usage_event_type_fk` (`event_type`),
  CONSTRAINT `lb_host_usage_ibfk_2` FOREIGN KEY (`event_type`) REFERENCES `usage_event_type` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_host_usage`
--

LOCK TABLES `lb_host_usage` WRITE;
/*!40000 ALTER TABLE `lb_host_usage` DISABLE KEYS */;
/*!40000 ALTER TABLE `lb_host_usage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_merged_host_usage`
--

DROP TABLE IF EXISTS `lb_merged_host_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lb_merged_host_usage` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `loadbalancer_id` int(11) NOT NULL,
  `incoming_transfer` bigint(20) NOT NULL DEFAULT '0',
  `outgoing_transfer` bigint(20) NOT NULL DEFAULT '0',
  `incoming_transfer_ssl` bigint(20) NOT NULL DEFAULT '0',
  `outgoing_transfer_ssl` bigint(20) NOT NULL DEFAULT '0',
  `concurrent_connections` bigint(20) NOT NULL DEFAULT '0',
  `concurrent_connections_ssl` bigint(20) NOT NULL DEFAULT '0',
  `poll_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `tags_bitmask` int(3) NOT NULL DEFAULT '0',
  `num_vips` int(11) NOT NULL DEFAULT '1',
  `event_type` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lb_merged_host_usage_account_key` (`account_id`),
  KEY `lb_merged_host_usage_lb_key` (`loadbalancer_id`),
  KEY `_merged_usage_event_type_fk` (`event_type`),
  CONSTRAINT `lb_merged_host_usage_ibfk_2` FOREIGN KEY (`event_type`) REFERENCES `usage_event_type` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_merged_host_usage`
--

LOCK TABLES `lb_merged_host_usage` WRITE;
/*!40000 ALTER TABLE `lb_merged_host_usage` DISABLE KEYS */;
/*!40000 ALTER TABLE `lb_merged_host_usage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta`
--

DROP TABLE IF EXISTS `meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `meta` (
  `meta_key` varchar(128) NOT NULL,
  `meta_value` varchar(128) DEFAULT NULL,
  UNIQUE KEY `meta_key` (`meta_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `meta`
--

LOCK TABLES `meta` WRITE;
/*!40000 ALTER TABLE `meta` DISABLE KEYS */;
INSERT INTO `meta` VALUES ('version','70');
/*!40000 ALTER TABLE `meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usage_event_type`
--

DROP TABLE IF EXISTS `usage_event_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `usage_event_type` (
  `name` varchar(32) NOT NULL,
  `description` varchar(128) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usage_event_type`
--

LOCK TABLES `usage_event_type` WRITE;
/*!40000 ALTER TABLE `usage_event_type` DISABLE KEYS */;
INSERT INTO `usage_event_type` VALUES ('CREATE_LOADBALANCER','Indicates A Create Load Balancer Event '),('CREATE_VIRTUAL_IP','Indicates A Create Virtual Ip Event '),('DELETE_LOADBALANCER','Indicates A Delete Load Balancer Event '),('DELETE_VIRTUAL_IP','Indicates A Delete Virtual Ip Event '),('SSL_MIXED_ON','Indicates SSL Termination Mixed Has Been Enabled Event'),('SSL_OFF','Indicates SSL Termination Has Been Disabled Event'),('SSL_ONLY_ON','Indicates SSL Termination Only Has Been Enabled Event'),('SUSPENDED_LOADBALANCER','Indicates A Suspended Load Balancer Event '),('SUSPEND_LOADBALANCER','Indicates A Suspend Load Balancer Event '),('UNSUSPEND_LOADBALANCER','Indicates A UnSuspended Load Balancer Event ');
/*!40000 ALTER TABLE `usage_event_type` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-11-27 12:22:07
